Script to queue backup (or backup removal) in BackupPC from command line
========================================================================

This scripts permit to queue from command line some tasks to internal BackupPC internal scheduler :

* queue backup for all or specified host(s) : It's provide parameters permiting :

  * to specify witch type of backup to queue (full or incr) ;
  * to specify as wich user the backup is run for BackupPC ;
  * to stop running backup instead of starting new one, and how many hour(s) BackupPC could not start automatically backup ;

* queue backup removal (for specific host) : It's provide parameters permiting :

  * to specify witch backup to delete (specified by it's number) ;
  * to specify to delete all backups of the host. Another parameter permit to specify witch backup(s) to omit ;
  * to specify as wich user the backup removal is run for BackupPC ;

Compatibility
-------------

This script have been successfully test with BackupPC 3 (3.3.0) and 4 (4.1.5).

Usage
-----

### backuppcQueueBackup

```
backuppcQueueBackup

Script to queue backup in BackupPC from command line

Options:
  --verbose,-v                  Increase verbosity
  --help,-h                     Display this message

  --hostname,-H                 Only queue backup for the specified host
  --exclude,-x                  Do not queue backup for the specified host
  --all,-a                      queue backup for all BackupPC hosts
  --start-first,-f              Start first queuing backup for this specified host(s)
  --includeBackupsDisableHosts  Queue backup for all BackupPC hosts
  --type,-t                     Backup type : full or incr
  --user,-u                     BackupPC user that doing this action for BackupPC
  --stop                        Stop Backup instead of queuing new one
  --backoff                     During stop Backup action, say BackupPC do not automatically
                                start backup during next x hour(s) (Default : 1 hour(s))
  --dry-run,-j                  Perform a trial run (do nothing real)
```

### backuppcQueueDeleteBackup

```
backuppcQueueDeleteBackup

Script to queue delete backup in BackupPC internal queue

Options:
  --verbose,-v                  Increase verbosity
  --help,-h                     Display this message

  --hostname,-H                 Host
  --num,-n                      Specific backup number to delete
  --all,-a                      Delete all backups of the specified host
  --exclude,-x                  Do not delete backup(s) specified by number (in all mode)
  --user,-u                     BackupPC user that doing this action for BackupPC
  --dry-run,-j                  Perform a trial run (do nothing real)
```

Copyright
---------

Copyright (c) 2017-2018 Benjamin Renard

License
-------

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
